<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="mhp.oee.dao.extend.ScheduledDownPlanAndResrceAndWorkCenterPOMapper">
  <resultMap id="BaseResultMap" type="mhp.oee.po.extend.ScheduledDownPlanAndResrceAndWorkCenterPO">
    <id column="HANDLE"  jdbcType="VARCHAR" property="handle" />
    <result column="SITE" jdbcType="VARCHAR" property="site" />
    <result column="RESRCE" jdbcType="VARCHAR" property="resrce" />
    <result column="ASSET" jdbcType="VARCHAR" property="asset" />
    <result column="RESOURCE_BO" jdbcType="VARCHAR" property="resourceBo" />
    <result column="STRT" jdbcType="VARCHAR" property="strt" />
    <result column="RESRCE_DES" jdbcType="VARCHAR" property="resrceDes" />
    <result column="WORK_AREA" jdbcType="VARCHAR" property="workCenter" />
    <result column="WORK_AREA_DES" jdbcType="VARCHAR" property="workCenterDes" />
    <result column="LINE_AREA" jdbcType="VARCHAR" property="line" />
    <result column="LINE_AREA_DES" jdbcType="VARCHAR" property="lineDes" />
    <result column="START_DATE_TIME" jdbcType="TIMESTAMP" property="startDateTime" />
    <result column="END_DATE_TIME" jdbcType="TIMESTAMP" property="endDateTime" />
    <result column="REASON_CODE" jdbcType="VARCHAR" property="reasonCode" />
    <result column="MODIFIED_DATE_TIME" jdbcType="VARCHAR" property="modifiedDateTime" />
    <result column="RESON_CODE_DES" jdbcType="VARCHAR" property="reasonCodeDes" />
  </resultMap>
  
  <select id="selectScheduledDownPlanAndResrceAndWorkCenter" resultMap="BaseResultMap">
		SELECT * FROM
		VIEW___SCHEDULED_DOWN_PLAN__RESRCE__WORK_CENTER
		WHERE
		SITE = #{site}
		AND RESRCE IN
		<foreach close=")" collection="resrces" item="listItem" open="(" separator=",">
		 #{listItem.resrce}
		</foreach>
		AND CONVERT(START_DATE_TIME ,DATE) &gt;= CONVERT(#{date} ,DATE)
		ORDER BY WORK_AREA,LINE_AREA,RESRCE,START_DATE_TIME
		<if test="limit != null">
			<if test="offset != null">
				limit ${offset}, ${limit}
			</if>
			<if test="offset == null">
				limit ${limit}
			</if>
		</if>
	</select>
	
	<select id="selectScheduledDownPlanAndResrceAndWorkCenterCount" resultType="java.lang.Integer">
		SELECT COUNT(*) FROM
		VIEW___SCHEDULED_DOWN_PLAN__RESRCE__WORK_CENTER
		WHERE
		SITE = #{site}
		AND RESRCE IN
		<foreach close=")" collection="resrces" item="listItem" open="(" separator=",">
		 #{listItem.resrce}
		</foreach>
		AND CONVERT(START_DATE_TIME ,DATE) &gt;= CONVERT(#{date} ,DATE)
	</select>
</mapper>
